Xeonr Developer Docs

Verify TOTP Login

POST
/xeonr.auth.private.v1.PasswordService/VerifyTotpLogin

Completes login by verifying the TOTP code or recovery code. Required when 2FA is enabled.

Authentication: None required (challenge token required)

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

totpChallengeToken?string

Challenge token from PasswordLoginResponse

Length1 <= length
totpCode?string

TOTP code from authenticator app

Length1 <= length <= 32
rememberMe?boolean

Whether to create a persistent session

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.PasswordService/VerifyTotpLogin" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "code": "550e8400-e29b-41d4-a716-446655440000",
  "sessionToken": "sess_abc123def456"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}